<body bgcolor="#FFFFFF">
<font size=+0>
<B>Please enter a suitable JDBC connection string and mail server information, before you try the demo</B>

<% 
   String connStr=request.getParameter("connStr");
   String smtpHost=request.getParameter("smtpHost");
   if (connStr==null) {
     connStr=(String)session.getValue("connStr");
   }
   if (connStr==null) {
     connStr="jdbc:oracle:thin:@localhost:1521:orcl";  // default connection str
   }
   if( smtpHost==null ) {
     smtpHost=(String)session.getValue("smtpHost");
   }
   if( smtpHost == null ) smtpHost="";

   session.putValue("connStr",connStr);
   session.putValue("smtpHost", smtpHost);
%>
<FORM METHOD=POST>
<TABLE BORDER=0>
<TR><TD>Connection String: </TD><TD><INPUT TYPE="text" NAME="connStr" SIZE=40 value="<%=connStr%>" ></TD></TR>
<TR><TD>SMTP Host: </TD><TD><INPUT TYPE="text" NAME="smtpHost" SIZE=40 value="<%=smtpHost%>" ></TD></TR>
</TABLE>
<INPUT TYPE="submit" VALUE="  OK  " >
</FORM>
</font>
